Name:		jpegoptim
Version:	1.5.1
%define subrel 1
Release:	%mkrel 1
Summary:	Utility to optimize JPEG image files
License:	GPLv2+
Group:		Graphics/Utilities
URL:		https://www.kokkonen.net/tjko/projects.html
Source0:	https://www.kokkonen.net/tjko/src/%{name}-%{version}.tar.gz
Patch0:		jpegoptim-1.5.1-git-cve-2023-27781.patch
BuildRequires:	pkgconfig(libjpeg)

%description
Provides lossless optimization (based on optimizing the Huffman tables)
and "lossy" optimization based on setting the maximum quality factor.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc COPYRIGHT README
%{_bindir}/jpegoptim
%{_mandir}/man1/jpegoptim.1*


%changelog
* Fri Apr 07 2023 danf <danf> 1.5.1-1.1.mga8
+ Revision: 1951639
- Fix buffer overflow CVE-2023-27781 (mga#31764)
+ daviddavid <daviddavid>
- new version: 1.5.1, fixes CVE-2022-32325 (mga#31424)

* Tue Feb 11 2020 umeabot <umeabot> 1.4.6-2.mga8
+ Revision: 1489140
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 12 2018 danf <danf> 1.4.6-1.mga7
+ Revision: 1258513
- Updated to ver. 1.4.6
- fixed read past end of buffer problem
- minor bug fixes

* Wed Sep 27 2017 danf <danf> 1.4.4-1.mga7
+ Revision: 1160092
- Upgraded to ver. 1.4.4
  - minor bug fixes

* Thu Feb 11 2016 umeabot <umeabot> 1.4.3-2.mga6
+ Revision: 954691
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 danf <danf> 1.4.3-1.mga6
+ Revision: 837704
- Upgraded to ver. 1.4.3: fix bug that could cause jpegoptim to crash when
  processing certain jpeg files

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-3.mga5
+ Revision: 743118
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-2.mga5
+ Revision: 680856
- Mageia 5 Mass Rebuild

* Fri May 30 2014 danf <danf> 1.4.1-1.mga5
+ Revision: 627810
- Upgraded to ver. 1.4.1. Major changes include:
- use memory (instead of temporary files) during optimization
- support for stdin/stdout
- report also libjpeg version when --version option used
- new option --strip-none to preserve "all" markers

* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 528517
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 pterjan <pterjan> 1.3.0-1.mga4
+ Revision: 445789
- Use configure2_5x
+ danf <danf>
- update to version 1.3.0
- spec clean-up after import from Mandriva
- imported package jpegoptim

